Subject: About Those Sound Problems
From: David Starks-Browning <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: Xemacs Beta Development MailList <[email-masked]>, Cygwin General MailList <[email-masked]>
Date: Thu, 9 Aug 2001 16:24:19 +0100

On Thursday 9 Aug 01, David A. Cobb writes:
> At 8/8/01 02:32 PM (Wednesday), Charles Wilson wrote:
> 
> >>Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/specs
> >>gcc version 2.95.3-5 (cygwin special)
> >>  /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/collect2.exe --subsystem 
> >> windows -Bdynamic --dll-search-prefix=cyg -o temacs.exe /usr/lib/crt0.o 
> >> -L/usr/local/lib -L/usr/lib -L/usr/lib/w32api ...
> >
> >
> >But this is not good.  The second step (and most important) of my advice 
> >was to add "--verbose" to THIS command as well.  Then, ld/collect will 
> >explicitly list EVERY place it looks for EVERY dependency, indicating 
> >whether or not the search was successful for EACH case.
> >
> >Add --verbose to the collect2 command (if you're really ambitions, change 
> >the executable to "ld" instead of "collect2").
> 
> Can this be done with an environment variable or must I locate and edit 
> some makefile?

What I do in situations like this is just cut & paste the command from
the build log into a bash command line, and edit as required.

> >>linuxplay.o(.text+0x124c):linuxplay.c: multiple definition of 
> >>`play_sound_file'
> >>ntplay.o(.text+0x418):ntplay.c: first defined here
> >>linuxplay.o(.text+0x12cc):linuxplay.c: multiple definition of 
> >>`play_sound_data'
> >>ntplay.o(.text+0x6f8):ntplay.c: first defined here
> >
> I'm sorry if I've offended.  I *have* taken the advice I've been given.  If 
> you glance at the quoted "configure" options, I removed the 
> "--with-sound=native,noesd" but the script still finds some header that 
> screws it up.  I suppose what I need to do is remove the headers completely?!!

When you re-ran configure without the --with-sound= options, you did
take care to remove config.cache (or whatever it's called), right?

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/